/*
 * Author:      William Chia-Wei Cheng (william@cs.ucla.edu)
 *
 * Copyright (C) 1990-1993, William Cheng.
 *
 * Permission limited to the use, copy, modify, and distribute this software
 * and its documentation for any purpose is hereby granted by the Author without
 * fee, provided that the above copyright notice appear in all copies and
 * that both the copyright notice and this permission notice appear in
 * supporting documentation, and that the name of the Author not be used
 * in advertising or publicity pertaining to distribution of the software
 * without specific, written prior permission.  The Author makes no
 * representations about the suitability of this software for any purpose.
 * It is provided "as is" without express or implied warranty.  All other
 * rights (including the right to sell "tgif" and the right to sell derivative
 * works of tgif) are reserved by the Author.
 *
 * THE AUTHOR DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE,
 * INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, INDIRECT OR
 * CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF
 * USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
 * OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
 * PERFORMANCE OF THIS SOFTWARE.
 *
 * @(#)$Header: /amnt/kona/tangram/u/william/X11/TGIF2/RCS/special.e,v 2.10 1993/08/05 05:03:34 william Exp $
 */

#ifndef _SPECIAL_E_
#define _SPECIAL_E_

extern char	* specialMenuStr[];

extern struct ObjRec	* ReadSymbol ARGS_DECL((FILE *));
extern struct ObjRec	* GetObjRepresentation ARGS_DECL((char *PathName,
			                                  char *SymName));
extern void	PlaceTopObj ARGS_DECL((struct ObjRec *));
extern void	Instantiate ARGS_DECL((void));
extern void	MakeSymbolic ARGS_DECL((void));
extern void	UnMakeSymbolic ARGS_DECL((void));
extern void	MakeIconic ARGS_DECL((void));
extern void	UnMakeIconic ARGS_DECL((void));
extern void	SpecialSubMenu ARGS_DECL((int Index));
extern void	SpecialMenu ARGS_DECL((int X, int Y));

#endif /*_SPECIAL_E_*/
